Bug 113762 - buglet triple pack
Summary: buglet triple pack
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: esound   
(Show other bugs)
Version: 2
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: John (J5) Palmieri
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-01-17 11:44 UTC by d.binderman
Modified: 2013-03-13 04:46 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-09 21:26:16 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description d.binderman 2004-01-17 11:44:37 UTC
Description of problem:

I just tried to compile package esound-0.2.31-1, from Redhat
Fedora Core 1.

The compiler said

1.

genrand.c:72: warning: `retval' might be used uninitialized in this
function

The source code is

static unsigned char
hashlong(long val)
{
  unsigned char retval, *ptr;
  int i;

  for(ptr = (unsigned char *)&val, i = 0; i < sizeof(val); i++)
    retval ^= ptr[i];

  return retval;
}

I think the compiler is correct. Suggest initialise retval before
first use.

	retval = 0;

2.

esdlib.c(717): warning #140: too many arguments in function call

The source code is

        socket_out = esd_connect_unix( NULL );

but, in the same file,

static int
esd_connect_unix()
{

Suggest remove NULL from function call.

3.

esdlib.c(787): warning #140: too many arguments in function call

Source code is

                socket_out = esd_connect_unix(host);

Duplicate.


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

Comment 1 Warren Togami 2004-04-14 02:36:19 UTC
Please report this upstream.

Comment 2 d.binderman 2004-06-02 20:13:19 UTC
#2 and #3 appear to be still broken in Fedora Core 2


Comment 3 Alan Cox 2004-06-18 23:58:48 UTC
They aren't problematic so should wait until the upstream bug report
(if you've not made one its bugzilla.gnome.org) is cleared


Comment 4 John (J5) Palmieri 2004-08-25 17:56:48 UTC
Try it with the new packages in Rawhide.

Comment 5 John (J5) Palmieri 2004-09-09 21:26:16 UTC
Haven't heard from poster.  Marking as closed in rawhide.  Please
reopen if you feel the problem has not been fixed.


Note You need to log in before you can comment on or make changes to this bug.